Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class TransformerExceptionWrapper

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--com.caucho.xsl.TransformerExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

public class TransformerExceptionWrapper
extends TransformerException
implements ExceptionWrapper

Represents a exception when creating a transformation.

See Also:
  Serialized Form

Constructor Summary
`TransformerExceptionWrapper()` Create a new exception with no error message.
`TransformerExceptionWrapper(java.lang.String msg)` Create a new exception with a string error message.
`TransformerExceptionWrapper(java.lang.String msg, SourceLocator locator)` Create a new exception with a message and an error location.
`TransformerExceptionWrapper(java.lang.String msg, SourceLocator locator, java.lang.Throwable e)` Create a new exception with a message and an error location.
`TransformerExceptionWrapper(java.lang.String msg, java.lang.Throwable e)` Create a new exception with a wrapped exception.
`TransformerExceptionWrapper(java.lang.Throwable e)` Create a new exception with a wrapped exception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the wrapped exception.

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerExceptionWrapper

    public TransformerExceptionWrapper()

  Create a new exception with no error message.

### TransformerExceptionWrapper

    public TransformerExceptionWrapper(java.lang.String msg)

  Create a new exception with a string error message.

### TransformerExceptionWrapper

    public TransformerExceptionWrapper(java.lang.String msg,
                                       SourceLocator locator)

  Create a new exception with a message and an error location.

### TransformerExceptionWrapper

    public TransformerExceptionWrapper(java.lang.String msg,
                                       SourceLocator locator,
                                       java.lang.Throwable e)

  Create a new exception with a message and an error location.

### TransformerExceptionWrapper

    public TransformerExceptionWrapper(java.lang.String msg,
                                       java.lang.Throwable e)

  Create a new exception with a wrapped exception.

### TransformerExceptionWrapper

    public TransformerExceptionWrapper(java.lang.Throwable e)

  Create a new exception with a wrapped exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the wrapped exception.
  Specified by:
    `getRootCause` in interface `ExceptionWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD